/**
 * MCS Media Computer Software
 * Copyright 2009 by Wilfried Klaas
 * Project: MCSUtils
 * File: JSAPHelper.java
 * EMail: W.Klaas@gmx.de
 * Created: 20.11.2009 Willie
 */

package de.mcs.utils.jsap;

import com.martiansoftware.jsap.FlaggedOption;
import com.martiansoftware.jsap.JSAP;
import com.martiansoftware.jsap.JSAPException;
import com.martiansoftware.jsap.StringParser;
import com.martiansoftware.jsap.Switch;

/**
 * @author Willie
 */
public class JSAPHelper {

  public static void registerAsSwitch(JSAP parser, CommandKey command) throws JSAPException {
    Switch swtOption = new Switch(command.getName(), command.getShortKey(), command.getLongKey());
    if (command.getDefaultValue() != null) {
      swtOption.setDefault(command.getDefaultValue());
    }
    swtOption.setHelp(command.getHelp());
    parser.registerParameter(swtOption);
  }

  public static void registerAsOption(JSAP parser, CommandKey command, StringParser stringParser, String defaultValue,
      boolean required) throws JSAPException {
    FlaggedOption flgopt = new FlaggedOption(command.getName(), stringParser, defaultValue, required,
        command.getShortKey(), command.getLongKey());
    flgopt.setHelp(command.getHelp());
    parser.registerParameter(flgopt);
  }

  public static void registerAsOption(JSAP parser, CommandKey command, StringParser stringParser, boolean required)
      throws JSAPException {
    FlaggedOption flgopt = new FlaggedOption(command.getName(), stringParser, command.getDefaultValue(), required,
        command.getShortKey(), command.getLongKey());
    flgopt.setHelp(command.getHelp());
    parser.registerParameter(flgopt);
  }
}
